# mongoc_collection_drop_index_with_opts()

## Synopsis

    bool
    mongoc_collection_drop_index_with_opts (mongoc_collection_t *collection,
                                            const char *index_name,
                                            const bson_t *opts,
                                            bson_error_t *error);

## Parameters

- `collection`: A mongoc_collection_t.

- `index_name`: A string containing the name of the index.

- `error`: An optional location for a bson_error_t or `NULL`.

`opts` may be NULL or a BSON document with additional command options:

- `writeConcern`: Construct a mongoc_write_concern_t and use mongoc_write_concern_append() to add the write concern to `opts`. See the example code for mongoc_client_write_command_with_opts().

- `sessionId`: First, construct a mongoc_client_session_t with mongoc_client_start_session(). You can begin a transaction with mongoc_client_session_start_transaction(), optionally with a mongoc_transaction_opt_t that overrides the options inherited from `collection`, and use mongoc_client_session_append() to add the session to `opts`. See the example code for mongoc_client_session_t.

- `collation`: Configure textual comparisons. See Setting Collation Order, and the MongoDB Manual entry on Collation. Collation requires MongoDB 3.2 or later, otherwise an error is returned.

- `serverId`: To target a specific server, include an int32 “serverId” field. Obtain the id by calling mongoc_client_select_server(), then mongoc_server_description_id() on its return value.

## Description

This function requests than an index on `collection` be dropped.

If no write concern is provided in `opts`, the collection’s write concern is used.

## Errors

Errors are propagated via the `error` parameter.

## Returns

Returns `true` if successful. Returns `false` and sets `error` if there are invalid arguments or a server or network error.